{
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:iron_helmet",
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:max_damage": 100,
                "minecraft:item_model": "minecraft:diamond_helmet",
                "minecraft:item_name": "Ice Helmet",
                "minecraft:custom_data": "{icy:tag}",
                "minecraft:attribute_modifiers": [
                  {
                    "type": "minecraft:armor",
                    "id": "-12351121506183548-43012",
                    "amount": 2,
                    "operation": "add_value",
                    "slot": "head"
                  }
                ],
                "minecraft:repairable": {
                  "items": "#survivalplus:ice_tool_materials"
                }
              }
            }
          ]
        }
      ]
    }
  ]
}